Package org.mockserver.openapi.examples
Enum Class ExampleBuilder.Direction
- All Implemented Interfaces:
Serializable,Comparable<ExampleBuilder.Direction>,Constable
- Enclosing class:
- ExampleBuilder
The direction an example is generated for. Controls
readOnly/writeOnly filtering:
readOnly properties are excluded from REQUEST examples and writeOnly
properties are excluded from RESPONSE examples, per the OpenAPI specification. When the
direction is UNSPECIFIED no filtering is applied (the historic behaviour).-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionstatic ExampleBuilder.DirectionReturns the enum constant of this class with the specified name.static ExampleBuilder.Direction[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
REQUEST
-
RESPONSE
-
UNSPECIFIED
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-